rom_fp="$(date +%y%m%d).sophie"

manifest_url="https://android.googlesource.com/platform/manifest"
aosp="android-12.1.0_r8"
phh="android-12.0"

mkdir /android
cd /android
repo init -u "$manifest_url" -b $aosp --depth=1
git clone https://git.nanao.moe/android/treble_manifest .repo/local_manifests -b $phh
repo sync -c -j 1  --verbose
wget https://github.com/phhusson/treble_experimentations/raw/master/0001-Fix-SearchLauncher-for-Android-12.1.patch

cd /android/device/phh/treble
bash generate.sh
cd /android/vendor/partner_gms
git am /android/0001-Fix-SearchLauncher-for-Android-12.1.patch
cd /android
